Skip to main content
POST
/
projects
/
{project_id}
/
triggers
/
examples
Get Example Payload
curl --request POST \
  --url https://actionkit.useparagon.com/projects/{project_id}/triggers/examples \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
  "integration": "salesforce",
  "parameters": {
    "recordType": "Opportunity"
  }
}
'
[
  {
    "id": "001xx000003DHP0AAO",
    "name": "Sample Opportunity",
    "amount": 50000,
    "stage": "Prospecting",
    "closeDate": "2025-12-31"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Paragon User Token (JWT), which you can generate using your project's signing keys.

Headers

X-Paragon-Credential
string<uuid>

Specify a credential ID when multiple accounts are connected for the same integration

Path Parameters

project_id
string
required

Your Paragon Project ID

Body

application/json
type
string
required

The trigger type identifier (e.g. SALESFORCE_TRIGGER_RECORD_CREATED).

Example:

"SALESFORCE_TRIGGER_RECORD_CREATED"

integration
string
required

The integration name for the trigger (e.g. salesforce, hubspot).

Example:

"salesforce"

parameters
object

Trigger configuration parameters, same shape as parameters in Subscribe to a Trigger.

Example:
{ "recordType": "Opportunity" }

Response

200 - application/json

Success - Returns array of example records that could be returned from the trigger